Subject: Re: cuImage not building

From: Laxmikant Rashinkar <[email-masked]>
Date: Fri, 24 Oct 2008 16:55:45 -0700 (PDT)

Thanks a lot Grant.
With your pointers I was able to fix the problem.

LK

________________________________
From: Grant Likely <[email-masked]>
To: Laxmikant Rashinkar <[email-masked]>
Cc: [email-masked]
Sent: Thursday, October 23, 2008 7:26:42 PM
Subject: Re: cuImage not building

On Thu, Oct 23, 2008 at 07:05:20PM -0700, Laxmikant Rashinkar wrote:
> Hi,
> 
> I have gotten our MPC8347 based board to work under Linux-2.6.27.1.
> 
> Since our board is similar to mpc834x_mds, I initially modified files relevant
> to mpc834x_mds to get our board working.
> 
> Now I'm trying to rename files so that they reflect our board names.
> 
> After this renaming, uImage gets built ok, but cuImage build fails. 
> I enabled make's verbose flag to see what was going on
> and here are the error messages
> 
> + powerpc-unknown-linux-gnu-ld -m elf32ppc -T arch/powerpc/boot/zImage.lds -Ttext 0x400000 --defsym _start=0x400000 -o arch/ppc/boot/cuImage.snsp arch/powerpc/boot/cuboot-snsp.o ./zImage.15886.o arch/powerpc/boot/wrapper.a
> powerpc-unknown-linux-gnu-ld: arch/powerpc/boot/cuboot-snsp.o: No such file: No such file or directory
> 
> Here is the build invocation with mpc834x_mds files.
> 
> + powerpc-unknown-linux-gnu-ld -m elf32ppc -T arch/powerpc/boot/zImage.lds -Ttext 0x400000 --defsym _start=0x400000 -o arch/ppc/boot/cuImage.mpc834x_mds arch/powerpc/boot/cuboot-83xx.o ./zImage.3158.o arch/powerpc/boot/wrapper.a
> 
> From the two invocations, not working code gets called with arch/powerpc/boot/cuboot-snsp.o
> whereas working code gets called with arch/powerpc/boot/cuboot-83xx.o.
> 
> I have made relevant changes to appropriate Makefiles, but I still cant get cuImage to build.

Look at Documentation/powerpc/bootwrapper.txt and
arch/powerpc/boot/wrapper.  There is some magic stuff in the wrapper
script which translates board names into the correct wrapper bits.  This
is particularly important for cuboot targets.

g.

_______________________________________________
Linuxppc-embedded mailing list
[email-masked]
https://ozlabs.org/mailman/listinfo/linuxppc-embedded